AccountCRCAlgs
Date: 2015-04-26

de.jost_net.OBanToo.PruefziffernCheck

## Class AccountCRCAlgs

- java.lang.Object
- - de.jost_net.OBanToo.PruefziffernCheck.AccountCRCAlgs

-     public class AccountCRCAlgs
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccountCRCAlgs()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `private static int` | `addProducts(int[] number, int first, int last, int[] factors, boolean withChecksum)`
    `static PZRet` | `alg_00(int[] blz, int[] number)`
    `static PZRet` | `alg_01(int[] blz, int[] number)`
    `static PZRet` | `alg_02(int[] blz, int[] number)`
    `static PZRet` | `alg_03(int[] blz, int[] number)`
    `static PZRet` | `alg_04(int[] blz, int[] number)`
    `static PZRet` | `alg_05(int[] blz, int[] number)`
    `static PZRet` | `alg_06(int[] blz, int[] number)`
    `static PZRet` | `alg_07(int[] blz, int[] number)`
    `static PZRet` | `alg_08(int[] blz, int[] number)`
    `static PZRet` | `alg_09(int[] blz, int[] number)`
    `static PZRet` | `alg_10(int[] blz, int[] number)`
    `static PZRet` | `alg_11(int[] blz, int[] number)`
    `static PZRet` | `alg_12(int[] blz, int[] number)`
    `static PZRet` | `alg_13(int[] blz, int[] number)`
    `static PZRet` | `alg_14(int[] blz, int[] number)`
    `static PZRet` | `alg_15(int[] blz, int[] number)`
    `static PZRet` | `alg_16(int[] blz, int[] number)`
    `static PZRet` | `alg_17(int[] blz, int[] number)`
    `static PZRet` | `alg_18(int[] blz, int[] number)`
    `static PZRet` | `alg_19(int[] blz, int[] number)`
    `static PZRet` | `alg_20(int[] blz, int[] number)`
    `static PZRet` | `alg_21(int[] blz, int[] number)`
    `static PZRet` | `alg_22(int[] blz, int[] number)` korrigiert: Heiner
    `static PZRet` | `alg_23(int[] blz, int[] number)`
    `static PZRet` | `alg_24(int[] blz, int[] number)`
    `static PZRet` | `alg_25(int[] blz, int[] number)`
    `static PZRet` | `alg_26(int[] blz, int[] number)`
    `static PZRet` | `alg_27(int[] blz, int[] number)`
    `static PZRet` | `alg_28(int[] blz, int[] number)`
    `static PZRet` | `alg_29(int[] blz, int[] number)`
    `static PZRet` | `alg_30(int[] blz, int[] number)`
    `static PZRet` | `alg_31(int[] blz, int[] number)`
    `static PZRet` | `alg_32(int[] blz, int[] number)`
    `static PZRet` | `alg_33(int[] blz, int[] number)`
    `static PZRet` | `alg_34(int[] blz, int[] number)`
    `static PZRet` | `alg_36(int[] blz, int[] number)`
    `static PZRet` | `alg_38(int[] blz, int[] number)`
    `static PZRet` | `alg_40(int[] blz, int[] number)`
    `static PZRet` | `alg_41(int[] blz, int[] number)`
    `static PZRet` | `alg_42(int[] blz, int[] number)`
    `static PZRet` | `alg_43(int[] blz, int[] number)`
    `static PZRet` | `alg_44(int[] blz, int[] number)`
    `static PZRet` | `alg_45(int[] blz, int[] number)`
    `static PZRet` | `alg_46(int[] blz, int[] number)`
    `static PZRet` | `alg_48(int[] blz, int[] number)`
    `static PZRet` | `alg_49(int[] blz, int[] number)`
    `static PZRet` | `alg_50(int[] blz, int[] number)`
    `static PZRet` | `alg_51(int[] blz, int[] number)`
    `static PZRet` | `alg_52(int[] blz, int[] number)`
    `static PZRet` | `alg_53(int[] blz, int[] number)`
    `static PZRet` | `alg_55(int[] blz, int[] number)`
    `static PZRet` | `alg_56(int[] blz, int[] number)`
    `static PZRet` | `alg_57(int[] blz, int[] number)`
    `static PZRet` | `alg_58(int[] blz, int[] number)`
    `static PZRet` | `alg_59(int[] blz, int[] number)`
    `static PZRet` | `alg_60(int[] blz, int[] number)`
    `static PZRet` | `alg_61(int[] blz, int[] number)`
    `static PZRet` | `alg_63(int[] blz, int[] number)`
    `static PZRet` | `alg_64(int[] blz, int[] number)`
    `static PZRet` | `alg_65(int[] blz, int[] number)`
    `static PZRet` | `alg_66(int[] blz, int[] number)`
    `static PZRet` | `alg_67(int[] blz, int[] number)`
    `static PZRet` | `alg_68(int[] blz, int[] number)`
    `static PZRet` | `alg_69(int[] blz, int[] number)`
    `static PZRet` | `alg_70(int[] blz, int[] number)`
    `static PZRet` | `alg_71(int[] blz, int[] number)`
    `static PZRet` | `alg_73(int[] blz, int[] number)`
    `static PZRet` | `alg_74(int[] blz, int[] number)`
    `static PZRet` | `alg_76(int[] blz, int[] number)`
    `static PZRet` | `alg_78(int[] blz, int[] number)`
    `static PZRet` | `alg_81(int[] blz, int[] number)`
    `static PZRet` | `alg_82(int[] blz, int[] number)`
    `static PZRet` | `alg_84(int[] blz, int[] number)`
    `static PZRet` | `alg_85(int[] blz, int[] number)`
    `static PZRet` | `alg_86(int[] blz, int[] number)`
    `static PZRet` | `alg_87(int[] blz, int[] number)`
    `static PZRet` | `alg_88(int[] blz, int[] number)`
    `static PZRet` | `alg_90(int[] blz, int[] number)`
    `static PZRet` | `alg_91(int[] blz, int[] number)`
    `static PZRet` | `alg_92(int[] blz, int[] number)`
    `static PZRet` | `alg_94(int[] blz, int[] number)`
    `static PZRet` | `alg_95(int[] blz, int[] number)`
    `static PZRet` | `alg_96(int[] blz, int[] number)`
    `static PZRet` | `alg_98(int[] blz, int[] number)`
    `static PZRet` | `alg_99(int[] blz, int[] number)`
    `static PZRet` | `alg_A0(int[] blz, int[] number)`
    `static PZRet` | `alg_A1(int[] blz, int[] number)`
    `static PZRet` | `alg_A2(int[] blz, int[] number)`
    `static PZRet` | `alg_A3(int[] blz, int[] number)`
    `static PZRet` | `alg_A5(int[] blz, int[] number)`
    `static PZRet` | `alg_A6(int[] blz, int[] number)`
    `static PZRet` | `alg_A7(int[] blz, int[] number)`
    `static PZRet` | `alg_A8(int[] blz, int[] number)`
    `static PZRet` | `alg_A9(int[] blz, int[] number)`
    `static PZRet` | `alg_B1(int[] blz, int[] number)`
    `static PZRet` | `alg_B2(int[] blz, int[] number)`
    `static PZRet` | `alg_B3(int[] blz, int[] number)`
    `static PZRet` | `alg_B5(int[] blz, int[] number)`
    `static PZRet` | `alg_B6(int[] blz, int[] number)` ergänzt: Heiner
    `static PZRet` | `alg_B7(int[] blz, int[] number)`
    `static PZRet` | `alg_B8(int[] blz, int[] number)`
    `static PZRet` | `alg_B9(int[] blz, int[] number)`
    `static PZRet` | `alg_C0(int[] blz, int[] number)`
    `static PZRet` | `alg_C1(int[] blz, int[] number)`
    `static PZRet` | `alg_C2(int[] blz, int[] number)`
    `static PZRet` | `alg_C3(int[] blz, int[] number)`
    `static PZRet` | `alg_C4(int[] blz, int[] number)`
    `static PZRet` | `alg_C5(int[] blz, int[] number)`
    `static PZRet` | `alg_C7(int[] blz, int[] number)`
    `static PZRet` | `alg_C8(int[] blz, int[] number)`
    `static PZRet` | `alg_C9(int[] blz, int[] number)`
    `static PZRet` | `alg_D0(int[] blz, int[] number)`
    `static PZRet` | `alg_D1(int[] blz, int[] number)`
    `static PZRet` | `alg_D2(int[] blz, int[] number)`
    `static PZRet` | `alg_D3(int[] blz, int[] number)`
    `static PZRet` | `alg_D6(int[] blz, int[] number)`
    `static PZRet` | `alg_D9(int[] blz, int[] number)`
    `private static PZRet` | `ausnahme51(int[] blz, int[] number)`
    `private static long` | `calculateIntFromNumber(int[] number)`
    `static boolean` | `checkIBAN(java.lang.String iban)`
    `private static int` | `computeB9(int[] number, int first, int last, int[] factors)`
    `private static java.lang.String` | `numberToString(int[] number)`
    `private static int` | `quersumme(int x, boolean recursive)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AccountCRCAlgs

          public AccountCRCAlgs()

  - ### Method Detail

    - #### alg_00

          public static PZRet alg_00(int[] blz,
                     int[] number)

    - #### alg_01

          public static PZRet alg_01(int[] blz,
                     int[] number)

    - #### alg_02

          public static PZRet alg_02(int[] blz,
                     int[] number)

    - #### alg_03

          public static PZRet alg_03(int[] blz,
                     int[] number)

    - #### alg_04

          public static PZRet alg_04(int[] blz,
                     int[] number)

    - #### alg_05

          public static PZRet alg_05(int[] blz,
                     int[] number)

    - #### alg_06

          public static PZRet alg_06(int[] blz,
                     int[] number)

    - #### alg_07

          public static PZRet alg_07(int[] blz,
                     int[] number)

    - #### alg_08

          public static PZRet alg_08(int[] blz,
                     int[] number)

    - #### alg_09

          public static PZRet alg_09(int[] blz,
                     int[] number)

    - #### alg_10

          public static PZRet alg_10(int[] blz,
                     int[] number)

    - #### alg_11

          public static PZRet alg_11(int[] blz,
                     int[] number)

    - #### alg_12

          public static PZRet alg_12(int[] blz,
                     int[] number)

    - #### alg_13

          public static PZRet alg_13(int[] blz,
                     int[] number)

    - #### alg_14

          public static PZRet alg_14(int[] blz,
                     int[] number)

    - #### alg_15

          public static PZRet alg_15(int[] blz,
                     int[] number)

    - #### alg_16

          public static PZRet alg_16(int[] blz,
                     int[] number)

    - #### alg_17

          public static PZRet alg_17(int[] blz,
                     int[] number)

    - #### alg_18

          public static PZRet alg_18(int[] blz,
                     int[] number)

    - #### alg_19

          public static PZRet alg_19(int[] blz,
                     int[] number)

    - #### alg_20

          public static PZRet alg_20(int[] blz,
                     int[] number)

    - #### alg_21

          public static PZRet alg_21(int[] blz,
                     int[] number)

    - #### alg_22

          public static PZRet alg_22(int[] blz,
                     int[] number)

      korrigiert: Heiner

    - #### alg_23

          public static PZRet alg_23(int[] blz,
                     int[] number)

    - #### alg_24

          public static PZRet alg_24(int[] blz,
                     int[] number)

    - #### alg_25

          public static PZRet alg_25(int[] blz,
                     int[] number)

    - #### alg_26

          public static PZRet alg_26(int[] blz,
                     int[] number)

    - #### alg_27

          public static PZRet alg_27(int[] blz,
                     int[] number)

    - #### alg_28

          public static PZRet alg_28(int[] blz,
                     int[] number)

    - #### alg_29

          public static PZRet alg_29(int[] blz,
                     int[] number)

    - #### alg_30

          public static PZRet alg_30(int[] blz,
                     int[] number)

    - #### alg_31

          public static PZRet alg_31(int[] blz,
                     int[] number)

    - #### alg_32

          public static PZRet alg_32(int[] blz,
                     int[] number)

    - #### alg_33

          public static PZRet alg_33(int[] blz,
                     int[] number)

    - #### alg_34

          public static PZRet alg_34(int[] blz,
                     int[] number)

    - #### alg_36

          public static PZRet alg_36(int[] blz,
                     int[] number)

    - #### alg_38

          public static PZRet alg_38(int[] blz,
                     int[] number)

    - #### alg_40

          public static PZRet alg_40(int[] blz,
                     int[] number)

    - #### alg_41

          public static PZRet alg_41(int[] blz,
                     int[] number)

    - #### alg_42

          public static PZRet alg_42(int[] blz,
                     int[] number)

    - #### alg_43

          public static PZRet alg_43(int[] blz,
                     int[] number)

    - #### alg_44

          public static PZRet alg_44(int[] blz,
                     int[] number)

    - #### alg_45

          public static PZRet alg_45(int[] blz,
                     int[] number)

    - #### alg_46

          public static PZRet alg_46(int[] blz,
                     int[] number)

    - #### alg_48

          public static PZRet alg_48(int[] blz,
                     int[] number)

    - #### alg_49

          public static PZRet alg_49(int[] blz,
                     int[] number)

    - #### alg_50

          public static PZRet alg_50(int[] blz,
                     int[] number)

    - #### alg_51

          public static PZRet alg_51(int[] blz,
                     int[] number)

    - #### alg_52

          public static PZRet alg_52(int[] blz,
                     int[] number)

    - #### alg_53

          public static PZRet alg_53(int[] blz,
                     int[] number)

    - #### alg_55

          public static PZRet alg_55(int[] blz,
                     int[] number)

    - #### alg_56

          public static PZRet alg_56(int[] blz,
                     int[] number)

    - #### alg_57

          public static PZRet alg_57(int[] blz,
                     int[] number)

    - #### alg_58

          public static PZRet alg_58(int[] blz,
                     int[] number)

    - #### alg_59

          public static PZRet alg_59(int[] blz,
                     int[] number)

    - #### alg_60

          public static PZRet alg_60(int[] blz,
                     int[] number)

    - #### alg_61

          public static PZRet alg_61(int[] blz,
                     int[] number)

    - #### alg_63

          public static PZRet alg_63(int[] blz,
                     int[] number)

    - #### alg_64

          public static PZRet alg_64(int[] blz,
                     int[] number)

    - #### alg_65

          public static PZRet alg_65(int[] blz,
                     int[] number)

    - #### alg_66

          public static PZRet alg_66(int[] blz,
                     int[] number)

    - #### alg_67

          public static PZRet alg_67(int[] blz,
                     int[] number)

    - #### alg_68

          public static PZRet alg_68(int[] blz,
                     int[] number)

    - #### alg_69

          public static PZRet alg_69(int[] blz,
                     int[] number)

    - #### alg_70

          public static PZRet alg_70(int[] blz,
                     int[] number)

    - #### alg_71

          public static PZRet alg_71(int[] blz,
                     int[] number)

    - #### alg_73

          public static PZRet alg_73(int[] blz,
                     int[] number)

    - #### alg_74

          public static PZRet alg_74(int[] blz,
                     int[] number)

    - #### alg_76

          public static PZRet alg_76(int[] blz,
                     int[] number)

    - #### alg_78

          public static PZRet alg_78(int[] blz,
                     int[] number)

    - #### alg_81

          public static PZRet alg_81(int[] blz,
                     int[] number)

    - #### alg_82

          public static PZRet alg_82(int[] blz,
                     int[] number)

    - #### alg_84

          public static PZRet alg_84(int[] blz,
                     int[] number)

    - #### alg_85

          public static PZRet alg_85(int[] blz,
                     int[] number)

    - #### alg_86

          public static PZRet alg_86(int[] blz,
                     int[] number)

    - #### alg_87

          public static PZRet alg_87(int[] blz,
                     int[] number)

    - #### alg_88

          public static PZRet alg_88(int[] blz,
                     int[] number)

    - #### alg_90

          public static PZRet alg_90(int[] blz,
                     int[] number)

    - #### alg_91

          public static PZRet alg_91(int[] blz,
                     int[] number)

    - #### alg_92

          public static PZRet alg_92(int[] blz,
                     int[] number)

    - #### alg_94

          public static PZRet alg_94(int[] blz,
                     int[] number)

    - #### alg_95

          public static PZRet alg_95(int[] blz,
                     int[] number)

    - #### alg_96

          public static PZRet alg_96(int[] blz,
                     int[] number)

    - #### alg_98

          public static PZRet alg_98(int[] blz,
                     int[] number)

    - #### alg_99

          public static PZRet alg_99(int[] blz,
                     int[] number)

    - #### alg_A0

          public static PZRet alg_A0(int[] blz,
                     int[] number)

    - #### alg_A1

          public static PZRet alg_A1(int[] blz,
                     int[] number)

    - #### alg_A2

          public static PZRet alg_A2(int[] blz,
                     int[] number)

    - #### alg_A3

          public static PZRet alg_A3(int[] blz,
                     int[] number)

    - #### alg_A5

          public static PZRet alg_A5(int[] blz,
                     int[] number)

    - #### alg_A6

          public static PZRet alg_A6(int[] blz,
                     int[] number)

    - #### alg_A7

          public static PZRet alg_A7(int[] blz,
                     int[] number)

    - #### alg_A8

          public static PZRet alg_A8(int[] blz,
                     int[] number)

    - #### alg_A9

          public static PZRet alg_A9(int[] blz,
                     int[] number)

    - #### alg_B1

          public static PZRet alg_B1(int[] blz,
                     int[] number)

    - #### alg_B2

          public static PZRet alg_B2(int[] blz,
                     int[] number)

    - #### alg_B3

          public static PZRet alg_B3(int[] blz,
                     int[] number)

    - #### alg_B5

          public static PZRet alg_B5(int[] blz,
                     int[] number)

    - #### alg_B6

          public static PZRet alg_B6(int[] blz,
                     int[] number)

      ergänzt: Heiner

    - #### alg_B7

          public static PZRet alg_B7(int[] blz,
                     int[] number)

    - #### alg_B8

          public static PZRet alg_B8(int[] blz,
                     int[] number)

    - #### alg_B9

          public static PZRet alg_B9(int[] blz,
                     int[] number)

    - #### alg_C0

          public static PZRet alg_C0(int[] blz,
                     int[] number)

    - #### alg_C1

          public static PZRet alg_C1(int[] blz,
                     int[] number)

    - #### alg_C2

          public static PZRet alg_C2(int[] blz,
                     int[] number)

    - #### alg_C3

          public static PZRet alg_C3(int[] blz,
                     int[] number)

    - #### alg_C4

          public static PZRet alg_C4(int[] blz,
                     int[] number)

    - #### alg_C5

          public static PZRet alg_C5(int[] blz,
                     int[] number)

    - #### alg_C7

          public static PZRet alg_C7(int[] blz,
                     int[] number)

    - #### alg_C8

          public static PZRet alg_C8(int[] blz,
                     int[] number)

    - #### alg_C9

          public static PZRet alg_C9(int[] blz,
                     int[] number)

    - #### alg_D0

          public static PZRet alg_D0(int[] blz,
                     int[] number)

    - #### alg_D1

          public static PZRet alg_D1(int[] blz,
                     int[] number)

    - #### alg_D2

          public static PZRet alg_D2(int[] blz,
                     int[] number)

    - #### alg_D3

          public static PZRet alg_D3(int[] blz,
                     int[] number)

    - #### alg_D6

          public static PZRet alg_D6(int[] blz,
                     int[] number)

    - #### alg_D9

          public static PZRet alg_D9(int[] blz,
                     int[] number)

    - #### addProducts

          private static int addProducts(int[] number,
                        int first,
                        int last,
                        int[] factors,
                        boolean withChecksum)

    - #### computeB9

          private static int computeB9(int[] number,
                      int first,
                      int last,
                      int[] factors)

    - #### quersumme

          private static int quersumme(int x,
                      boolean recursive)

    - #### calculateIntFromNumber

          private static long calculateIntFromNumber(int[] number)

    - #### numberToString

          private static java.lang.String numberToString(int[] number)

    - #### checkIBAN

          public static boolean checkIBAN(java.lang.String iban)

    - #### ausnahme51

          private static PZRet ausnahme51(int[] blz,
                         int[] number)